ID(1)

NAME
id - print user identity

SYNOPSIS
id [OPTION]... [USERNAME]

DESCRIPTION

Print information for USERNAME, or the current user.

-a  ignore, for compatibility with other versions

-Z, --context
    print only the security context of the current process

-g, --group
    print only the effective group ID

-G, --groups
    print all group IDs

-n, --name
    print a name instead of a number, for -ugG

-r, --real
    print the real ID instead of the effective ID, with -ugG

-u, --user
    print only the effective user ID

--help
    display this help and exit

--version
    output version information and exit

Without any OPTION, print some useful set of identified information.

AUTHOR
Written by Arnold Robbins and David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2007 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for id is maintained as a Texinfo manual. If the info and id programs are properly installed at your site, the command

    info id

should give you access to the complete manual.